# CoreStoreObjectTransformableDiff

    public final class CoreStoreObjectTransformableDiff<V> where V : NSCoding, V : NSCopying

The object containing the changeset for an observed `TransformableContainer.Required` or `TransformableContainer.Optional` property.

- `kind`

  Indicates the kind of change. See the comments for `NSObject.observeValue(forKeyPath:of:change:context:)` for more information.

  #### Declaration

  Swift

      public let kind: NSKeyValueChange

- `newValue`

  `newValue` and `oldValue` will only be non-nil if `.new`/`.old` is passed to `observe()`. In general, get the most up to date value by accessing it directly on the observed object instead.

  #### Declaration

  Swift

      public let newValue: V?

- `oldValue`

  `newValue` and `oldValue` will only be non-nil if `.new`/`.old` is passed to `observe()`. In general, get the most up to date value by accessing it directly on the observed object instead.

  #### Declaration

  Swift

      public let oldValue: V?

- `isPrior`

  ‘isPrior’ will be `true` if this change observation is being sent before the change happens, due to `.prior` being passed to `observe()`

  #### Declaration

  Swift

      public let isPrior: Bool